<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tamagotchi</title>
    <style>
        .oval {
            height: 500px;
            width: 400px;
            border-radius: 50%;
            background-color: rgb(187, 107, 150);
            position: absolute
        }

        .square {
            height: 250px;
            width: 250px;
            border-radius: 8%;
            background-color: lightgray;
            position: relative;
            left: 75px;
            top: 125px;
        }

        .text {
            position: relative;
            font-size: 45px;
            left: 75px;
            bottom: 235px;
            color: whitesmoke;
        }

        .button-left {
            background-color: whitesmoke;
            border: none;
            position: relative;
            left: 115px;
            bottom: -20px;
            border-radius: 50%;
            padding: 20px;
        }

        .button-mid {
            background-color: whitesmoke;
            border: none;
            position: relative;
            left: 135px;
            bottom: -40px;
            border-radius: 50%;
            padding: 20px;
        }

        .button-right {
            background-color: whitesmoke;
            border: none;
            position: relative;
            left: 155px;
            bottom: -20px;
            border-radius: 50%;
            padding: 20px;
        }

        img {
            height: 250px;
            width: 250px;
            border-radius: 8%;
            position: relative;
            left: 75px;
            bottom: 307px;
        }
    </style>
</head>

<body>
    <div class="oval"></div>
    <div class="square"></div>
    <div class="text">
        <p>TaMaGoTcHi</p>
    </div>
    <button class="button-left" id="button-left"></button>
    <button class="button-mid" id="button-mid"></button>
    <button class="button-right" id="button-right"></button>
    <div class="img">
        <img id="tamagotchi" src="happy300.png">
    </div>

</body>
<script>
    const myImg = document.getElementById("tamagotchi")
    const leftButton = document.getElementById("button-left")
    const midButton = document.getElementById("button-mid")
    const rightButton = document.getElementById("button-right")

    leftButton.addEventListener("click", leftClick)
    midButton.addEventListener("click", midClick)
    rightButton.addEventListener("click", rightClick)

    function leftClick() {
        myImg.src = "";
    }
    function midClick() {
        myImg.src = "hungry300.png";
    }
    function rightClick() {
        myImg.src = "eat.gif";
    }

</script>

</html>